# outline-style

Specifies a style for an outline.

## Platform Support

IE | Netscape | Mozilla | Opera | Safari
--- | --- | --- | --- | ---
no | 6.0+ | no | 7.0+ | 1.2+

- Safari: Support for "outline" in Safari is "buggy".

## Values

inherit | Inherit the value from the parent element.
none | No outline.
dotted | Dotted line.
dashed | Dashed line.
solid | Solid line.
double | Double line.
groove | Grooved line.
ridge | Ridged line.
inset | Inset line.
outset | Outset line.
hidden | Hidden outline.

## Example

For a demonstration of the outline attributes, see the demo page on quirksmode:

http://www.quirksmode.org/css/outline.html

## Availability

W3C CSS2

## Related

- a
- a:active
- a:focus
- a:hover
- a:link
- a:visited
- b
- blockquote
- body
- code
- div
- em
- fieldset
- form
- h1
- h2
- h3
- h4
- h5
- h6
- hr
- i
- input
- label
- legend
- li
- ol
- optgroup
- option
- p
- pre
- small
- span
- strong
- table
- td
- textarea
- th
- tr
- ul

text_css aptana_docs